import * as $dara from '@darabonba/typescript';
import { AllocateEipSegmentAddressResponseBody } from "./AllocateEipSegmentAddressResponseBody";
export declare class AllocateEipSegmentAddressResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AllocateEipSegmentAddressResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
